Subject: bug#51674: 29.0.50; [PATCH] Fix hang when displaying xwidget script dialog

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 08 Nov 2021 06:24:41 +0100

Po Lu <[email-masked]> writes:

> Thanks!

Thanks; pushed to Emacs 29.

This reminds me of a totally different thing that I was poking at
briefly some years back -- is it possible to use xwidgets "freely" in a
different buffer these days?  Last time I looked at it, it was very much
tied to a specific mode, and only one widget per buffer.

My use case here is that I'd love to see eww being able to display video
clips.  xwidget can show <video> elements just fine, but it'd be great
to have them directly in the eww buffer (and perhaps several playing at
the same time, etc).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no